Bug 203093 - MediaRecorder should not prevent entering the back/forward cache
Summary: MediaRecorder should not prevent entering the back/forward cache
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: InRadar
Depends on:
Blocks: 202293
  Show dependency treegraph
 
Reported: 2019-10-17 09:46 PDT by Chris Dumez
Modified: 2019-11-04 10:56 PST (History)
9 users (show)

See Also:


Attachments
Patch (7.43 KB, patch)
2019-10-30 10:42 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews213 for win-future (14.45 MB, application/zip)
2019-10-30 12:14 PDT, Build Bot
no flags Details
Patch (8.21 KB, patch)
2019-10-30 15:50 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2019-10-17 09:46:52 PDT
MediaRecorder should not prevent entering the back/forward cache.
Comment 1 Radar WebKit Bug Importer 2019-10-30 10:20:40 PDT
<rdar://problem/56748870>
Comment 2 Chris Dumez 2019-10-30 10:42:31 PDT
Created attachment 382330 [details]
Patch
Comment 3 Build Bot 2019-10-30 12:14:09 PDT
Comment on attachment 382330 [details]
Patch

Attachment 382330 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/13191950

New failing tests:
fast/history/page-cache-media-recorder.html
Comment 4 Build Bot 2019-10-30 12:14:13 PDT
Created attachment 382340 [details]
Archive of layout-test-results from ews213 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews213  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 5 Chris Dumez 2019-10-30 15:50:18 PDT
Created attachment 382376 [details]
Patch
Comment 6 Chris Dumez 2019-11-04 08:19:06 PST
Comment on attachment 382376 [details]
Patch

ping review?
Comment 7 WebKit Commit Bot 2019-11-04 10:56:42 PST
Comment on attachment 382376 [details]
Patch

Clearing flags on attachment: 382376

Committed r252003: <https://trac.webkit.org/changeset/252003>
Comment 8 WebKit Commit Bot 2019-11-04 10:56:44 PST
All reviewed patches have been landed.  Closing bug.